Checking connection...

Mullvad App drops support for Ubuntu 14.04

25 January 2019  NEWS MULLVAD VPN APP

Mullvad App drops support for Ubuntu 14.04 and all Linux distributions based on Ubuntu 14.04.

Our integration with the Nftables firewall does not work correctly under Ubuntu 14.04. Therefore the Mullvad App firewall rules, including the kill-switch are not working. This means all traffic goes through the tunnel as normal when you are connected. But during connection setup and other states where the kill-switch would have been active, the computer might leak network traffic. This is true for all version of the app older than 2019.1. From Mullvad VPN app version 2019.1 (soon to be relased) and newer the app will properly show the user that it failed to set up the firewall.

Another reason is that Canonical will stop the support of Ubuntu 14.04 March 2019 and given the short life span left we have decided to cut the support and focus on remaining operating systems that will be supported for years to come.


We strongly recommend users to upgrade to Ubuntu 16.04 or newer.